---
name: Sirius Astronomy Association
country: Algeria
---

**Abahumushi:**  
Hafsa Bourkab  
Farah Derradji  
Khaoula Laggoune  
Echeima Amine-khodja  
Asma Lakroune  
Zeyneb Aissani  
Guergouri Hichem

**Abahloli bezemFundondalo:**  
Jamal Mimouni  
Hichem Guergouri

**Abahloli boLimu:**  
Hafsa Bourkab
